Wahrend meiner ersten Schritte mit ADTF3 hatte ich etwas mit euren mitgelieferten Beispielen herumgespielt und mir ist aufgfallen,
dass sich die Beispiele fur IFHD nicht out-of-the-box compilieren lassen. Ich nehme an, dass Ihr im Laufe der Zeit einige
Pfadanpassungen gemacht hattet.

Folgende Anderungen musste ich durchfiinren, damit es passt:

in "\src\examples\src\adtf\deserializer\CMakeLists.txt":

statt find_package(adtf_file REQUIRED PATHS ${ADTF_DIR}/3rdparty/adtf_file/lio/cmake/adtf_file)

find_package(adtf_file REQUIRED PATHS ${ADTF_DIR}/3rdparty/ifhd/lib/cmake/adtf_file)

in "\3rdparty\ifhd\lib\cmake\utils5extension\utils5extension-config.cmake":
statt find_package(a_util REQUIRED)
find_package(a_util REQUIRED PATHS ${ADTF_DIR}/3rdparty/a_util/lib/cmake/a_util)

in "\3rdparty\ifhd\lib\cmake\adtf_file\adtf_file-config.cmake":
statt find_package(ddl REQUIRED)
find_package(ddl REQUIRED PATHS ${ADTF_DIR}/3rdparty/ddl/cmake)

Viele Grii3e
Jens

BTW: Beim Compilieren der Beispiele hatte ich Ubrigens analoge Probleme wie hier https:/support.digitalwerk.net/issues/9018
(siehe Screenshot). Meine VS2017-Version ist 15.3.5, also schon ziemlich alt. Leider straubt sich die VW-IT, die Version upzudaten,
da sie Visual Studio als vorgefertigtes Paket ausrollen und nicht den VS-Installer anfassen wollen. Naja, ich bleib da weiter dran.

Lésung

ja das kann sein, normalerweise werden die Pfade auf hochster Ebene gesetzt.

Wenn du das Batch File ausfihrst zum bauen der exampels, sollte es gesetzt werden, kann sein dass das nicht durchgéngig ist,
wenn du standalone baust.

Spéetstens in der CMAKe GUI misstest du die Pfade aber setzen kdnnen.

Anyway, haben wir alles schon verbessert, die 3rd party packages wandern zur 3.7 in "normalen" pkg bzw. SDK und kénnen dann
via find_package(ADTF COMPONENTS adtf_file) automatisch gefunden werden.
Das machts einfacher und es muss nur noch ADTF_DIR angegeben werden.

Was den Compiler betrifft so weil3 ich auch nicht recht... du kénntest dir analog die MSBuild Tools runterladen, dann bist du aktuell.
Bei deiner CMake Version musst du defintiv beim CMake Generator noch x64 erganzen, sonst sucht er ggf. ein 32Bit ADTF...

Das ist in CMake_output. PNG in #9018 nicht der Fall.

Das setzt CMake irgendwie nicht mehr per default bzw. ist das 64Bit aus dem Namen im Vgl. zu "friiher" verschwunden.

Siehe auch #10213 und weitere.

Related issues:
Related to Public Support - Support Request #9018: Could not compile example ... Closed
Related to Public Support - Support Request #10213: Cmake failed using Genera... Closed
https://support.digitalwerk.net/issues/9018
https://support.digitalwerk.net/issues/9018
https://support.digitalwerk.net/issues/10213

History

#1 - 2020-02-25 13:05 - hidden
- Project changed from Public Support to 20

- Topic set to FileLibrary::Common

#3 - 2020-02-25 13:06 - hidden
- Related to Support Request #9018: Could not compile example snippets from ADTF 3 Guides added

#4 - 2020-02-25 15:43 - hidden

- Status changed from New to Customer Feedback Required

Hallo Jens,

ja das kann sein, normalerweise werden die Pfade auf héchster Ebene gesetzt.

Wenn du das Batch File ausfiihrst zum bauen der exampels, sollte es gesetzt werden, kann sein dass das nicht durchgéngig ist, wenn du standalone
baust.

Spaetstens in der CMAKe GUI misstest du die Pfade aber setzen kénnen.

Anyway, haben wir alles schon verbessert, die 3rd party packages wandern zur 3.7 in "normalen” pkg bzw. SDK und kénnen dann via
find_package(ADTF COMPONENTS adtf_file) automatisch gefunden werden.
Das machts einfacher und es muss nur noch ADTF_DIR angegeben werden.

Was den Compiler betrifft so weif3 ich auch nicht recht... du kdnntest dir analog die MSBuild Tools runterladen, dann bist du aktuell.
Bei deiner CMake Version musst du defintiv beim CMake Generator noch x64 erganzen, sonst sucht er ggf. ein 32Bit ADTF...

Das ist in CMake_output.PNG in #9018 nicht der Fall.

Das setzt CMake irgendwie nicht mehr per default bzw. ist das 64Bit aus dem Namen im Vgl. zu "friiher" verschwunden.

Siehe auch #10213 und weitere.

#5 - 2020-02-25 15:43 - hidden
- Related to Support Request #10213: Cmake failed using Generator for VS2017 added

#6 - 2020-02-27 12:30 - hidden

Hallo Florian,
danke fir die Info, dass ihr das schon angepasst habt. Mit dem Installer geht es natrlich, der fehlt ja aber unter Linux. Deshalb wollte ich nur darauf
hinweisen, dass es auch mit der Cmake_GUI passt. Den Generator hatte ich bei mir auf x64 gestellt.

Beziiglich des Compilers/Linker-Fehlers wollte ich letztlich auch nur anzeigen, dass das Problem bei mehreren besteht. Lésen kannst du das fir mich
natdrlich nicht. Ich habe mich gefragt, ob man bei den Vorraussetzungen fir ADTF3 genauer angeben sollte, welche Compiler-Version bzw.
Toolset-Version nétig ist. Wenn ich die Aussage von Microsoft von hier https://developercommunity.visual io.com/solutions/207807/view.html
richtig verstehe, darf meine Toolset-Version nicht alter sein, als die, mit der Inr ADTF3 gebaut habt. Ihr werde ja mit "MSVC++ 14.16 _MSC_VER ==
1916 (Visual Studio 2017 version 15.9)" (siehe https://en.wikipedia.org/wiki/Microsoft Visual C%2B%2B#Internal_version_numbering) gebaut haben,
oder?

Viele GriiBe
Jens

P.S.: neuere MSBuildTools oder WinSDKs wird mir die VW-IT wohl leider auch nicht installieren. Ich bleib dran...

#7 - 2020-02-27 12:40 - hidden

Hallo Jens,

Bezulglich des Compilers/Linker-Fehlers wollte ich letztlich auch nur anzeigen, dass das Problem bei mehreren besteht. Lésen kannst du das fiir
mich natdrlich nicht. Ich habe mich gefragt, ob man bei den Vorraussetzungen fir ADTF3 genauer angeben sollte, welche Compiler-Version
bzw. Toolset-Version nétig ist. Wenn ich die Aussage von Microsoft von hier
https://developercommunity.visualstudio.com/solutions/207807/view.html richtig verstehe, darf meine Toolset-Version nicht alter sein, als die, mit
der Ihr ADTF3 gebaut habt. Ihr werde ja mit "MSVC++ 14.16 _MSC_VER == 1916 (Visual Studio 2017 version 15.9)" (siehe
https://en.wikipedia.org/wiki/Microsoft Visual C%2B%2B#Internal_version_numbering) gebaut haben, oder?

Wir geben eigentlich exakt unser Toolset an, siehe
https://support.digitalwerk.net/adtf/v3/adtf_html/page_system_requirements.html#section_windows_x64_requirements (Development requirements)
Fehlt hier deiner Meinung nach noch was ?

#8 - 2020-02-27 13:25 - hidden

Hallo Florian,
tut mir leid, deine verlinkte Seite hatte ich irgendwie komplett Uberlesen. Da fehlt nix.
Das Ticket kann gern geschlossen werden.

Viele GruB3e
Jens

#9 - 2020-03-03 10:18 - hidden

- Project changed from 20 to Public Support

- Subject changed from IFHD Beispiele to Recompile examples which requires ifhd
- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Solved Issue

#12 - 2020-07-07 12:49 - hidden
- Status changed from To Be Closed to Closed
